Skip to content
Commits on Mar 16, 2012
Commits on Feb 19, 2012
  1. Curb is not supported on JRuby

    committed Feb 19, 2012
  2. Updated dependency on Addressable to version >= 2.2.7 to handle neste…

    committed Feb 19, 2012
    …d hash query values. I.e. `?one[two][three][]=four&one[two][three][]=five`
Commits on Feb 5, 2012
  1. @myronmarston

    Update RSpec dependency to 2.8.

    myronmarston committed Feb 5, 2012
    2.8 includes the ability to pass arguments to `include_context`, which we need to clean up some of the shared example conditionals.
Commits on Feb 3, 2012
  1. @dim

    Added support for Excon

    dim committed Feb 3, 2012
Commits on Jan 22, 2012
  1. Changed default em-http-request version dependency to >= 1.0.0. Specs…

    committed Jan 22, 2012
    … against version 0.3.0 run on travis too.
  2. Upgraded dev dependencies to lastest Patron 0.4.17 and updated patron…

    committed Jan 22, 2012
    … adapter spec to match changes in behaviour.
Commits on Nov 18, 2011
  1. @myronmarston

    Lock to a curb version that doesn't have double-request problems.

    myronmarston committed Nov 17, 2011
    Curb 0.7.16 causes 16 tests to fail.  Curb 0.7.15 doesn't.  This
    should be fixed at some point, but for now to get the build green
    so I can work on other things, I'm locking to 0.7.15.
    
    See issue #136 for more info.
Commits on Aug 27, 2011
Commits on Aug 23, 2011
  1. Run WebMock specs against both EM-HTTP-Request 0.3 and EM-HTTP-Reques…

    committed Aug 23, 2011
    …t 1.0 with EM-Synchrony on Ruby > 1.9.2 on Travis CI
Commits on Aug 9, 2011
Commits on Aug 8, 2011
Commits on Jul 30, 2011
  1. Switched back default development dependency to em-http-request 0.x, …

    committed Jul 30, 2011
    …until em-http-request 1.0 gets stable.
Commits on Jun 12, 2011
  1. @phiggins

    Add minitest as dev dependency.

    phiggins committed Jun 12, 2011
Commits on Jun 10, 2011
  1. @sdhull
Commits on May 18, 2011
  1. @jcf

    Remove RUBY_PLATFORM conditional from gemspec

    jcf committed May 18, 2011
    This conditional is of no use. The gem specification generated is not
    dynamic and will always contain these gems. In order to support JRuby
    properly we'll need to create a separate gemspec.
  2. @jcf
  3. @jcf

    Fix jeweler's gemspec mess

    jcf committed May 18, 2011
  4. @jcf

    Regenerate gemspec for version 1.6.3

    jcf committed May 18, 2011
  5. @jcf

    Regenerate gemspec for version 1.6.3

    jcf committed May 18, 2011
  6. @jcf

    Prepare for 1.6.3 release

    jcf committed May 18, 2011
  7. @phiggins @jcf

    Bump addressable dependency to 2.2.6 to avoid problems with 2.2.5.

    phiggins committed with jcf May 17, 2011
    Webmock doesn't work with addressable-2.2.5 and a new version, 2.2.6,
    has been released to help with this. Change Webmock's dependency to that
    version or higher.
Commits on Jan 12, 2011
  1. Updated version to 1.6.2

    committed Jan 12, 2011
Commits on Jan 11, 2011
  1. @samstokes
Commits on Nov 13, 2010
Commits on Nov 12, 2010
  1. Bump to version 1.6.0

    committed Nov 12, 2010
Commits on Nov 11, 2010
Commits on Nov 9, 2010
Something went wrong with that request. Please try again.